## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate rmp-serde

Name:           rust-rmp-serde
Version:        1.1.2
Release:        %autorelease
Summary:        Serde bindings for RMP

License:        MIT
URL:            https://crates.io/crates/rmp-serde
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * add missing dev-dependencies (path deps are stripped from published crates)
Patch:          rmp-serde-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Serde bindings for RMP.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2224604

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Feb 14 2020 Josh Stone <jistone@redhat.com> - 0.14.3-1
- Update to 0.14.3

* Thu Feb 06 2020 Josh Stone <jistone@redhat.com> - 0.14.2-1
- Update to 0.14.2

* Thu Jan 30 2020 Josh Stone <jistone@redhat.com> - 0.14.1-1
- Update to 0.14.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Sep 15 18:23:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.0-1
- Release 0.14.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 10:10:14 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.7-4
- Regenerate

* Sun May 12 08:53:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.7-3
- Update serde_bytes to 0.11

* Thu Apr 11 14:38:20 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.7-2
- Run tests in infrastructure

* Thu Mar 28 08:57:13 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.7-1
- Initial package

## END: Generated by rpmautospec
